Package org.drinkless.tdlib

# Class TdApi.ReplyMarkupShowKeyboard

java.lang.Object
org.drinkless.tdlib.TdApi.Object
org.drinkless.tdlib.TdApi.ReplyMarkup
org.drinkless.tdlib.TdApi.ReplyMarkupShowKeyboard

Enclosing class:
  `TdApi`

public static class TdApi.ReplyMarkupShowKeyboard extends TdApi.ReplyMarkup
Contains a custom keyboard layout to quickly reply to bots.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class org.drinkless.tdlib.TdApi.ReplyMarkup

  `TdApi.ReplyMarkup.Constructors`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final int`
  `CONSTRUCTOR`
  Identifier uniquely determining type of the object.
  `String`
  `inputFieldPlaceholder`
  If non-empty, the placeholder to be shown in the input field when the keyboard is active; 0-64 characters.
  `boolean`
  `isPersistent`
  True, if the keyboard is expected to always be shown when the ordinary keyboard is hidden.
  `boolean`
  `isPersonal`
  True, if the keyboard must automatically be shown to the current user.
  `boolean`
  `oneTime`
  True, if the application needs to hide the keyboard after use.
  `boolean`
  `resizeKeyboard`
  True, if the application needs to resize the keyboard vertically.
  `TdApi.KeyboardButton[][]`
  `rows`
  A list of rows of bot keyboard buttons.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ReplyMarkupShowKeyboard()`
  Contains a custom keyboard layout to quickly reply to bots.
  `ReplyMarkupShowKeyboard(TdApi.KeyboardButton[][] rows, boolean isPersistent, boolean resizeKeyboard, boolean oneTime, boolean isPersonal, String inputFieldPlaceholder)`
  Contains a custom keyboard layout to quickly reply to bots.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getConstructor()`
  Returns an identifier uniquely determining type of the object.

  ### Methods inherited from class org.drinkless.tdlib.TdApi.Object

  `toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### rows

    public TdApi.KeyboardButton[][] rows
    A list of rows of bot keyboard buttons.

  - ### isPersistent

    public boolean isPersistent
    True, if the keyboard is expected to always be shown when the ordinary keyboard is hidden.

  - ### resizeKeyboard

    public boolean resizeKeyboard
    True, if the application needs to resize the keyboard vertically.

  - ### oneTime

    public boolean oneTime
    True, if the application needs to hide the keyboard after use.

  - ### isPersonal

    public boolean isPersonal
    True, if the keyboard must automatically be shown to the current user. For outgoing messages, specify true to show the keyboard only for the mentioned users and for the target user of a reply.

  - ### inputFieldPlaceholder

    public String inputFieldPlaceholder
    If non-empty, the placeholder to be shown in the input field when the keyboard is active; 0-64 characters.

  - ### CONSTRUCTOR

    public static final int CONSTRUCTOR
    Identifier uniquely determining type of the object.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### ReplyMarkupShowKeyboard

    public ReplyMarkupShowKeyboard()
    Contains a custom keyboard layout to quickly reply to bots.

  - ### ReplyMarkupShowKeyboard

    public ReplyMarkupShowKeyboard(TdApi.KeyboardButton[][] rows, boolean isPersistent, boolean resizeKeyboard, boolean oneTime, boolean isPersonal, String inputFieldPlaceholder)
    Contains a custom keyboard layout to quickly reply to bots.
    Parameters:
      `rows` - A list of rows of bot keyboard buttons.
      `isPersistent` - True, if the keyboard is expected to always be shown when the ordinary keyboard is hidden.
      `resizeKeyboard` - True, if the application needs to resize the keyboard vertically.
      `oneTime` - True, if the application needs to hide the keyboard after use.
      `isPersonal` - True, if the keyboard must automatically be shown to the current user. For outgoing messages, specify true to show the keyboard only for the mentioned users and for the target user of a reply.
      `inputFieldPlaceholder` - If non-empty, the placeholder to be shown in the input field when the keyboard is active; 0-64 characters.

- ## Method Details

  - ### getConstructor

    public int getConstructor()
    Description copied from class: `TdApi.Object`
    Returns an identifier uniquely determining type of the object.
    Specified by:
      `getConstructor` in class `TdApi.ReplyMarkup`
    Returns:
      this.CONSTRUCTOR